Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents
Class Names

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.Names

All Implemented Interfaces:
  Cloneable, ICompositeMap<PdfString>, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class Names

extends PdfObjectWrapper<PdfDictionary>
implements ICompositeMap<PdfString>

Name dictionary [PDF:1.6:3.6.3].

Since:
  0.0.4
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`Names(Document context)`

Method Summary
`Names` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`
`<T extends PdfObjectWrapper<? extends PdfDataObject>> NameTree<T>`
` | `get(Class<T> type)` Gets the value map associated to the specified type.
`
`<T extends PdfObjectWrapper<? extends PdfDataObject>> T`
` | `get(Class<T> type, PdfString key)` Gets the value associated to the specified key for the specified type.
`NamedDestinations` | `getDestinations()` Gets the named destinations.
`NamedEmbeddedFiles` | `getEmbeddedFiles()` Gets the named embedded files.
`NamedJavaScripts` | `getJavaScripts()` Gets the named JavaScript actions.
`NamedRenditions` | `getRenditions()` Gets the named renditions.
`void` | `setDestinations(NamedDestinations value)`
`void` | `setEmbeddedFiles(NamedEmbeddedFiles value)`
`void` | `setJavaScripts(NamedJavaScripts value)`
`void` | `setRenditions(NamedRenditions value)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Names

    public Names(Document context)

Method Detail

### clone

    public Names clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getDestinations

    @PDF(value=PDF12)
    public NamedDestinations getDestinations()

  Gets the named destinations.

### getEmbeddedFiles

    @PDF(value=PDF14)
    public NamedEmbeddedFiles getEmbeddedFiles()

  Gets the named embedded files.

### getJavaScripts

    @PDF(value=PDF13)
    public NamedJavaScripts getJavaScripts()

  Gets the named JavaScript actions.

### getRenditions

    @PDF(value=PDF15)
    public NamedRenditions getRenditions()

  Gets the named renditions.

### setDestinations

    public void setDestinations(NamedDestinations value)

  See Also:
    `getDestinations()`

### setEmbeddedFiles

    public void setEmbeddedFiles(NamedEmbeddedFiles value)

  See Also:
    `getEmbeddedFiles()`

### setJavaScripts

    public void setJavaScripts(NamedJavaScripts value)

  See Also:
    `getJavaScripts()`

### setRenditions

    public void setRenditions(NamedRenditions value)

  See Also:
    `getRenditions()`

### get

    public <T extends PdfObjectWrapper<? extends PdfDataObject>> NameTree<T> get(Class<T> type)

  Description copied from interface: `ICompositeMap`
  Gets the value map associated to the specified type.

  Specified by:
    `get` in interface `ICompositeMap<PdfString>`

### get

    public <T extends PdfObjectWrapper<? extends PdfDataObject>> T get(Class<T> type,
                                                                       PdfString key)

  Description copied from interface: `ICompositeMap`
  Gets the value associated to the specified key for the specified type.

  Specified by:
    `get` in interface `ICompositeMap<PdfString>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.